Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/collecting/getcollectingrecent

# Recent vinyl additions

GET `https://api.rewind.rest/v1/collecting/recent`

Most recently added items to the vinyl collection. Supports date filtering via date, from, and to params.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Query Parameters

#### limit (query, integer)

#### page (query, integer)

#### date (query, string)

Single day (YYYY-MM-DD). Overrides from/to.

#### from (query, string)

Range start, inclusive (ISO 8601)

#### to (query, string)

Range end, inclusive (ISO 8601)

## Response

#### 200

Recent collection items

#### data (array of object, required)

#### properties

#### id (number, required)

#### discogs\_id (number, required)

#### title (string, required)

#### artists (array of string, required)

#### year (number, required)

#### format (string, required)

#### format\_detail (string, required)

#### label (string, required)

#### genres (array of string, required)

#### styles (array of string, required)

#### image (object, required)

#### date\_added (string, required)

#### rating (number, required)

#### discogs\_url (string, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### 500

Internal server error

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/collecting/recent' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/collecting/recent', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/collecting/recent',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "data": [
    {
      "id": 0,
      "discogs_id": 0,
      "title": "string",
      "artists": [
        "\u2026"
      ],
      "year": 0,
      "format": "string",
      "format_detail": "string",
      "label": "string",
      "genres": [
        "\u2026"
      ],
      "styles": [
        "\u2026"
      ],
      "image": {
        "url": "\u2026",
        "thumbhash": "\u2026",
        "dominant_color": "\u2026",
        "accent_color": "\u2026"
      },
      "date_added": "string",
      "rating": 0,
      "discogs_url": "string"
    }
  ]
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```

```json 500
{
  "error": "Not found",
  "status": 404
}
```
